{
  "name": "trackers",
  "version": "0.1.1",
  "description": "Create and mange categorized and custom trackers",
  "main": "index.js",
  "scripts": {
    "start": "ts-node-dev --poll src/index.ts",
    "test:watch": "jest --watchAll --no-cache",
    "test": "jest --ci --reporters=default --reporters=jest-junit",
    "build:prod": "tsc"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "node",
    "setupFilesAfterEnv": [
      "./src/test/setup.ts"
    ]
  },
  "dependencies": {
    "@life.stack/common": "^1.2.2",
    "@types/cookie-session": "^2.0.43",
    "@types/express": "^4.17.13",
    "@types/jsonwebtoken": "^8.5.5",
    "cookie-session": "^1.4.0",
    "express": "^4.17.1",
    "express-async-errors": "^3.1.1",
    "express-validator": "^6.12.1",
    "jest-junit": "^12.2.0",
    "jsonwebtoken": "^8.5.1",
    "mongoose": "^6.0.5",
    "mongoose-update-if-current": "^1.4.0",
    "ts-node-dev": "^1.1.8",
    "typescript": "^4.4.2"
  },
  "devDependencies": {
    "@types/jest": "^27.0.1",
    "@types/supertest": "^2.0.11",
    "jest": "^27.1.1",
    "mongodb-memory-server": "^7.4.0",
    "prettier": "^2.3.2",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.5"
  },
  "prettier": {
    "semi": false,
    "singleQuote": true
  }
}
